CodeMOOTWModifier (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.symbology.milStd2525
Class CodeMOOTWModifier

    java.lang.Object
      com.bbn.openmap.tools.symbology.milStd2525.CodePosition
          com.bbn.openmap.tools.symbology.milStd2525.CodeMOOTWModifier

    public class CodeMOOTWModifier

extends CodePosition

A CodeMOOTWCategory is similar to the CodeModifier CodeCategory, but it applies to the MOOTW symbol set instead. This CodePosition notes the 11 and 12 characters in MOOTW symbol codes.

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`choices, DEBUG, endIndex, hierarchyNumber, id, NameProperty, nextPosition, NextProperty, NO_CHAR, NO_NUMBER, prettyName, startIndex, symbolPart`

Constructor Summary
`CodeMOOTWModifier()`

Method Summary
`void` | `parsePositions(java.lang.String prefix, java.util.Properties props)` Starts looking for property 1, creates SymbolParts until the numbers run out.

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`addPositionChoice, addPositionChoice, codeMatches, getEndIndex, getFromChoices, getHierarchyNumber, getHierarchyNumberString, getID, getNextPosition, getNULLCodePosition, getPositionChoices, getPrettyName, getStartIndex, getSymbolPart, parseHierarchy, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeMOOTWModifier

    public CodeMOOTWModifier()

Method Detail

### parsePositions

    public void parsePositions(java.lang.String prefix,
                               java.util.Properties props)

  Starts looking for property 1, creates SymbolParts until the numbers run out. If there are limits to what properties should be read, this method should be overriden.

  Overrides:
    `parsePositions` in class `CodePosition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details